-----------------------------------------------------------------------------

local TagCompiler = AceLibrary("TagCompiler-1.0")

-----------------------------------------------------------------------------

Assessment.TagData = 
{ 
	TagError = function(x) Assessment:Print(x) end, 
--	TagDebug = function(x) Assessment:Debug(x) end 
}

-----------------------------------------------------------------------------

for k,v in pairs(TagCompiler.CommonTagData) do
	Assessment.TagData[k] = v
end

-----------------------------------------------------------------------------

Assessment.TagData.amount =
{
	tableData = "value.amount",
	numeric = true
}

Assessment.TagData.barvalue =
{
	tableData = "barValue",
	guaranteeResult = true,
	numeric = true
}

Assessment.TagData.count =
{
	tableData = "value.count",
	numeric = true
}

Assessment.TagData.isplayerincombat =
{
	compileString = function() return "UnitAffectingCombat(\"player\")" end
}

Assessment.TagData.key =
{
	tableData = "key",
}

Assessment.TagData.maximumbarvalue =
{
	tableData = "maximumBarValue",
	guaranteeResult = true,
	numeric = true
}

Assessment.TagData.rank =
{
	tableData = "rank",
	guaranteeResult = true,
	numeric = true
}

Assessment.TagData.totalbarvalue =
{
	tableData = "totalBarValue",
	guaranteeResult = true,
	numeric = true
}

-----------------------------------------------------------------------------

function Assessment:CompileTag(tag, resultType)
	return TagCompiler:Compile(tag, self.TagData, resultType)
end

-----------------------------------------------------------------------------
