-----------------------------------------------------------------------------

local Roster = AceLibrary("Roster-2.1")
local L = AceLibrary("AceLocale-2.2"):new("AssessmentClassColor")
L:RegisterTranslations("enUS", function() return {
    ["Class"] = true,
} end)


-----------------------------------------------------------------------------

local classList = { }
local classColors = { }

-----------------------------------------------------------------------------

for k,v in pairs(RAID_CLASS_COLORS) do
	classColors[k] = { v.r, v.g, v.b }
end

-----------------------------------------------------------------------------

Assessment.ColorType.Class = 
{
	method = function(key)
				local class = classList[key]
				if not class then 
					local unitid = Roster:GetUnitIDFromName(key)
					if not unitid then return nil end
					_, classList[key] = UnitClass(unitid)
				end
				return classColors[class]
			 end,
	data = "groupMembers",
	description = L["Class"]
}

-----------------------------------------------------------------------------
